Bug 1284884 - libreswan-3.15 fails to build on F23 for primary and secondary architectures
libreswan-3.15 fails to build on F23 for primary and secondary architectures
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreswan (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1284428
  Show dependency treegraph
 
Reported: 2015-11-24 06:45 EST by Sinny Kumari
Modified: 2016-11-28 07:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 07:44:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sinny Kumari 2015-11-24 06:45:34 EST
Description of problem:
Currently, libreswan-3.15 (latest release) doesn't build on F23 and later, on both primary and secondary architectures.
http://koji.fedoraproject.org/koji/packageinfo?packageID=15913 shows track of failed build of 3.15 on primary arches.

Build error log can seen be from scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=11952117

By looking into libreswan's upstream master branch code, I see that error has been resolved with commit https://github.com/libreswan/libreswan/commit/97a165013e67527efbd06d93b0b4993db4820070 .

After applying above commit changes in 3.15 release, F23 and rawhide build works fine on Primary and secondary architectures. Following are the link to successful scratch build of 3.15 with applied changes:
F23 (primary arches) - http://koji.fedoraproject.org/koji/taskinfo?taskID=11965937
rawhide (powerpc) - http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2930201

Version-Release number of selected component (if applicable): libreswan-3.15

It will be useful to know the release date of upcoming libreswan-3.16 . One of the important factor in deciding whether to do a patched build of 3.15 or wait for 3.16 getting released soon with fix available.
Comment 1 Paul Wouters 2016-01-21 11:24:48 EST
can you check if 3.16 resolved that for you?

We build for rhel7 on a bunch of architectures: http://download.libreswan.org/binaries/rhel/7/
Comment 2 Dan Horák 2016-01-21 12:17:16 EST
yes, libreswan 3.16 is now build on F-22, F-23 and rawhide - http://s390.koji.fedoraproject.org/koji/packageinfo?packageID=15773
Comment 3 Fedora End Of Life 2016-11-24 08:41:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.